#include <iostream>
#include <stdio.h>
#include <string>
#include <math.h>

using namespace std;

int main(int argc, char** argv) {
	int x1,x2,y1,y2;
	scanf("%d %d %d %d",&x1,&y1,&x2,&y2);
	if(x1!=x2 && y1!=y2){
		printf("1");
	}else{
		printf("2");
	}
	return 0;
}